<?xml version="1.0" encoding="UTF-8"?>       
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	
	<!-- Declare some variable -->	
	<xsl:include href="ReportLabelsVars.xslt"/>
	
	<xsl:variable name="oldLocation" select="//Location/OldText"/>  <!-- these need to be changed // is not optimized -->     	
	<xsl:variable name="newLocation" select="//Location/NewText"/>	        
	<xsl:variable name="oldLabel" select="//Label/OldText"/>      	
	<xsl:variable name="newLabel" select="//Label/NewText"/>		
	<xsl:variable name="ReqTypesChanged" select="PROJECT/RequirementTypes/RequirementType/@ModFlag"/> 
	<xsl:variable name="AttrsChanged" select="PROJECT/Attributes/Attribute/@ModFlag"/>
	<xsl:variable name="DocTypesChanged" select="PROJECT/DocumentTypes/DocumentType/@ModFlag"/> 	
	<xsl:variable name="GroupsChanged" select="PROJECT/Groups/Group/@ModFlag"/>
		
	<!-- these variables need to be added to "ReportLabelsVars.xslt" -->		
	<xsl:variable name="rptProjectLbl">
		<xsl:text>**Project</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptProjectTagLbl">
		<xsl:text>**ProjectTag</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptPrefixLbl">
		<xsl:text>**Prefix</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptDocumentWordFormatLbl">
		<xsl:text>**DocumentWordFormat</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptSecurityEnabledLbl">
		<xsl:text>**SecurityEnabled</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptRequirementTypeLbl">
		<xsl:text>**Requirement Type</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptRequirementTypesLbl">
		<xsl:text>**Requirement Types</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptReqPrefixLbl">
		<xsl:text>**Req Prefix</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptReqColorLbl">
		<xsl:text>**Req Color</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptReqStyleNameLbl">
		<xsl:text>**Req Style Name</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptReqMustContainLbl">
		<xsl:text>**Req Must Contain</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAllowExternalReferencesLbl">
		<xsl:text>**Req AllowExternalReferences</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptReqTypeAttributeLbl">
		<xsl:text>**Req Attributes</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttributesLbl">
		<xsl:text>**Attributes</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttributeLbl">
		<xsl:text>**Attribute</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptAttrLabelLbl">
		<xsl:text>**Label</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttrDescriptionLbl">
		<xsl:text>**Description</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptAttrRankLbl">
		<xsl:text>**Rank</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttrAutoSuspectLbl">
		<xsl:text>**AutoSuspect</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttrDataTypeNameLbl">
		<xsl:text>**DataTypeName</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptAttrDefaultValueLbl">
		<xsl:text>**DefaultValue</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptAttributeListItemLbl">
		<xsl:text>**ListItem</xsl:text> 
	</xsl:variable>			
	<xsl:variable name="rptListItemTextLbl">
		<xsl:text>**ListItem ItemText</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptListItemRankLbl">
		<xsl:text>**ListItem ItemRank</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptListItemDefaultLbl">
		<xsl:text>**ListItem Default</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptDocumentTypesLbl">
		<xsl:text>**Document Types</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptDocumentTypeLbl">
		<xsl:text>**Document Type</xsl:text> 
	</xsl:variable>				
	<xsl:variable name="rptDocExtensionLbl">
		<xsl:text>**DocType Extension</xsl:text> 
	</xsl:variable>		
	<xsl:variable name="rptDocTypeNameLbl">
		<xsl:text>**DocType Name</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeDescLbl">
		<xsl:text>**DocType Description</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeDefaultReqNameLbl">
		<xsl:text>**DocType DeFault Req Name</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeTemplateNameLbl">
		<xsl:text>**DocType Template Name</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeTemplateDescLbl">
		<xsl:text>**DocType Template Description</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeTemplateFileNameLbl">
		<xsl:text>**DocType Template FileName</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypeTemplateHelpFileLbl">
		<xsl:text>**DocType Template Help File</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptGroupsLbl">
		<xsl:text>**Groups</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptGroupLbl">
		<xsl:text>**Group</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptGroupNameLbl">
		<xsl:text>**Group Name</xsl:text> 
	</xsl:variable>			
	<xsl:variable name="rptGroupDescLbl">
		<xsl:text>**Group Description</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptProjectAccessRightsLbl">
		<xsl:text>**ProjectAccessRights</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptDocTypePermissionsLbl">
		<xsl:text>**DocTypePermissions</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptReqTypePermissionsLbl">
		<xsl:text>**ReqTypePermissions</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptGroupUserLbl">
		<xsl:text>**User</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptUserLoginNameLbl">
		<xsl:text>**User LoginName</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptUserActiveLbl">
		<xsl:text>**User Active</xsl:text> 
	</xsl:variable>	
	<xsl:variable name="rptUserFullNameLbl">
		<xsl:text>**User FullName</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptUserEmailAddressLbl">
		<xsl:text>**User Email Address</xsl:text> 
	</xsl:variable>
	<xsl:variable name="rptLDAPAuthenticationLbl">
		<xsl:text>**LDAP Authentication</xsl:text> 
	</xsl:variable>

	<xsl:template match="PROJECT">		
	<html>
	<head>
		<LINK 
		    REL="StyleSheet" 
		    TYPE="text/css" 
		    HREF="Style_Main.css"/>			
		<title>
		<xsl:value-of select="$rptTitle"/>
		</title>
	</head>
	<body>
	
		<!-- Start Baseline Section -->			
		<table border="0" width="100%">
		  <tr>
		  	<td width="100%">
		  		<font class="SectionHeading">
		    		<xsl:value-of select="$rptBaselinesLbl"/>
		    	</font>
		    </td>
		  </tr>
		</table>	
						
		<table border="1" width="100%" height="99">
		  <tr>		    
		    <th ALIGN="LEFT"><b><xsl:value-of select="$firstBaseline"/></b></th>
		    <th ALIGN="LEFT"><b><xsl:value-of select="$secondBaseline"/></b></th>
		  </tr>		
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLoc"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLocation"/> 
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLoc"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLocation"/>
		    </td>
		  </tr>		  
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLabelLbl"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLabel"/> 
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptBaselineLabelLbl"/>
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLabel"/>
		    </td>
		  </tr>
		  <tr>
		    <td width="50%" height="19"><xsl:value-of select="$rptTimeStampLbl"/> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/OldText"/>
		    </td>
		    <td width="50%" height="19"><xsl:value-of select="$rptTimeStampLbl"/> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/NewText"/>
		    </td>
		  </tr>
		</table>
		<!-- End Baseline Section -->
		
		<!-- Start Project Section -->	
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>		
		  <tr>
		  	<td width="100%">
		  		<font class="SectionHeading">
		    		<xsl:value-of select="$rptProjectLbl"/>
		    	</font>
		    </td>
		  </tr>
		</table>
		
		<table border="1" width="100%" height="99">
		  <tr>
		    <th width="20%"><xsl:value-of select="$rptProjectTagLbl"/></th>
		    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
		    <th width="20%">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th width="20%">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>
		  
		  <!-- Project Name -->
		  <tr>
			<td width="20%"><xsl:value-of select="$rptDocNameLbl"/></td>
			<td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Name/NewText)>0"> 
						<xsl:value-of select="$modified"/>
					</xsl:when>         	 		          	
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>		
			 <td width="20%">	 
			 	<xsl:apply-templates select="Name/OldText"/>     
			 </td>
			 <td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Name/NewText)>0"> 
						<xsl:apply-templates select="Name/NewText"/>           	 		          	
					</xsl:when>
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="Name/OldText"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>				 
		  </tr>
		  
		  <!-- Project Description -->
		  <tr>
		  	<td width="20%"><xsl:value-of select="$rptDescLbl"/></td>
			<td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Description/NewText)>0"> 
						<xsl:value-of select="$modified"/>
					</xsl:when>         	 		          	
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>	
			 <td width="20%">	 
			 	<xsl:apply-templates select="Description/OldText"/>     
			 </td>
			 <td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Description/NewText)>0"> 
						<xsl:apply-templates select="Description/NewText"/>           	 		          	
					</xsl:when>
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="Description/OldText"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>			 			  	
		  </tr>			
				
		
		<!-- Project Prefix -->
		  <tr>
		  	<td width="20%"><xsl:value-of select="$rptPrefixLbl"/></td>
			<td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Prefix/NewText)>0"> 
						<xsl:value-of select="$modified"/>
					</xsl:when>         	 		          	
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>	
			 <td width="20%">	 
			 	<xsl:apply-templates select="Prefix/OldText"/>     
			 </td>
			 <td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(Prefix/NewText)>0"> 
						<xsl:apply-templates select="Prefix/NewText"/>           	 		          	
					</xsl:when>
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="Prefix/OldText"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>			 			  	
		  </tr>			
		
		  <!-- Project DocumentWordFormat -->
		  <tr>
		  	<td width="20%"><xsl:value-of select="$rptDocumentWordFormatLbl"/></td>
			<td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(DocumentWordFormat/NewText)>0"> 
						<xsl:value-of select="$modified"/>
					</xsl:when>         	 		          	
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>	
			 <td width="20%">	 
			 	<xsl:apply-templates select="DocumentWordFormat/OldText"/>     
			 </td>
			 <td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(DocumentWordFormat/NewText)>0"> 
						<xsl:apply-templates select="DocumentWordFormat/NewText"/>           	 		          	
					</xsl:when>
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="DocumentWordFormat/OldText"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>			 			  	
		  </tr>					
		
		  <!-- Project SecurityEnabled -->
		  <tr>
		  	<td width="20%"><xsl:value-of select="$rptSecurityEnabledLbl"/></td>
			<td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(SecurityEnabled/NewText)>0"> 
						<xsl:value-of select="$modified"/>
					</xsl:when>         	 		          	
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>	
			 <td width="20%">	 
			 	<xsl:apply-templates select="SecurityEnabled/OldText"/>     
			 </td>
			 <td width="20%">
				<xsl:choose> 
					<!-- did the project name change -->	
					<xsl:when test="string-length(SecurityEnabled/NewText)>0"> 
						<xsl:apply-templates select="SecurityEnabled/NewText"/>           	 		          	
					</xsl:when>
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="SecurityEnabled/OldText"/>	
					</xsl:otherwise> 	
			    </xsl:choose>					
			 </td>			 			  	
		  </tr>			
		
		</table>
		<!-- End Project Section -->		
		
		<!-- Requirement Types Header -->		
		<xsl:if test="$ReqTypesChanged>0"> 			
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>		
			  <tr>
			  	<td width="100%">
			  		<font class="SectionHeading">
			    		<xsl:value-of select="$rptRequirementTypesLbl"/>			    		
			    	</font>
			    </td>
			  </tr>
			</table>
			
			<table border="1" width="100%" height="99">
			  <tr>
			    <th width="20%"><xsl:value-of select="$rptReqPrefixLbl"/></th>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%"><xsl:value-of select="$rptReqTypeLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$firstBaseline"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>
			  </tr>		
				
			  <xsl:apply-templates select="RequirementTypes/RequirementType"  mode="InsertDelete"/>				  
			  <xsl:apply-templates select="RequirementTypes/RequirementType"  mode="Modified"/>	
			  
			</table>
			
		</xsl:if>								 			
		
		<!-- End Requirement Types Header -->

		<!-- Attributes Header -->				
		<xsl:if test="$AttrsChanged>0"> 			
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>		
			  <tr>
			  	<td width="100%">
			  		<font class="SectionHeading">
			    		<xsl:value-of select="$rptAttributesLbl"/>			    		
			    	</font>
			    </td>
			  </tr>
			</table>
			
			<table border="1" width="100%" height="99">
			  <tr>
			    <th width="20%"><xsl:value-of select="$rptAttributeLbl"/></th>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%"><xsl:value-of select="$rptReqTypeLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$firstBaseline"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>
			  </tr>									 

			  <xsl:apply-templates select="Attributes/Attribute" mode="InsertDelete"/>
			  <xsl:apply-templates select="Attributes/Attribute"  mode="Modified"/>	
			  
			</table>			
			
		</xsl:if>								 							
		<!-- End Attributes Header -->
		
		<!-- Document Types Header -->		
		<xsl:if test="$DocTypesChanged>0"> 			
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>		
			  <tr>
			  	<td width="100%">
			  		<font class="SectionHeading">
			    		<xsl:value-of select="$rptDocumentTypesLbl"/>			    		
			    	</font>
			    </td>
			  </tr>
			</table>
			
			<table border="1" width="100%" height="99">
			  <tr>
			    <th width="20%"><xsl:value-of select="$rptDocExtensionLbl"/></th>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%"><xsl:value-of select="$rptReqTypeLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$firstBaseline"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>
			  </tr>		
							
			  <xsl:apply-templates select="DocumentTypes/DocumentType"  mode="InsertDelete"/>				  						  
			  <xsl:apply-templates select="DocumentTypes/DocumentType"  mode="Modified"/>				 
			  
			</table>
			
		</xsl:if>								 			
		
		<!-- End Document Types Header -->		

		<!-- Groups Header -->		
		<xsl:if test="$GroupsChanged>0">
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>		
			  <tr>
			  	<td width="100%">
			  		<font class="SectionHeading">
			    		<xsl:value-of select="$rptGroupsLbl"/>			    		
			    	</font>
			    </td>
			  </tr>
			</table>
			
			<table border="1" width="100%" height="99">
			  <tr>
			    <th width="20%"><xsl:value-of select="$rptDocNameLbl"/></th>
			    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
			    <th width="20%"><xsl:value-of select="$rptReqTypeLbl"/></th>
			    <th width="20%">
			    	<xsl:value-of select="$firstBaseline"/> 
			    </th>
			    <th width="20%">
			    	<xsl:value-of select="$secondBaseline"/>
			    </th>
			  </tr>		
						
			  <xsl:apply-templates select="Groups/Group"  mode="InsertDelete"/>				  						  
			  <xsl:apply-templates select="Groups/Group"  mode="Modified"/>				 			 
			  
			</table>
			
		</xsl:if>								 			
		
		<!-- End Groups Header -->	

								 
	</body>
	</html>		 
						
	</xsl:template>


	<!-- The Requirement Type section -->		
	
	<!-- Inserted Deleted Req Types -->
	<xsl:template match="RequirementTypes/RequirementType" mode="InsertDelete">
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="RequirementPrefix/OldText"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptRequirementTypeLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="Name/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="Name/OldText"/>      	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>
	</xsl:template>	
	
	<!-- Modified Req Types -->
	<xsl:template match="RequirementTypes/RequirementType" mode="Modified">
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

		<xsl:variable name="ReqTypePrefix">
			<xsl:value-of select="RequirementPrefix/OldText"/> 
		</xsl:variable>		
	
			<!-- Check if the name changed -->
			<xsl:if test="string-length(Name/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>
			
			<!-- Check if the description changed -->
			<xsl:if test="string-length(Description/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDescLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			
			
			<!-- Check if the Req Prefix changed -->
			<xsl:if test="string-length(RequirementPrefix/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqPrefixLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementPrefix/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementPrefix/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			
			
			<!-- Check if the Req Color Name changed -->
			<xsl:if test="string-length(RequirementColorName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqColorLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementColorName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementColorName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				
			
			<!-- Check if the Req Color Name changed -->
			<xsl:if test="string-length(RequirementStyleName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqStyleNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementStyleName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementStyleName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				

			<!-- Check if the RequirementMustContain changed -->
			<xsl:if test="string-length(RequirementMustContain/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqMustContainLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementMustContain/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="RequirementMustContain/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	

			<!-- Check if the Requirement AllowExternalReferences changed -->
			<xsl:if test="string-length(AllowExternalReferences/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAllowExternalReferencesLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="AllowExternalReferences/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="AllowExternalReferences/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				
	
			<xsl:apply-templates select="Attributes/Attribute" mode="ReqTypeAttr">
				<xsl:with-param name="ReqTypePrefix">	
					<xsl:value-of select="$ReqTypePrefix"/>
				</xsl:with-param>				
			</xsl:apply-templates>
			
		</xsl:if>
	</xsl:template>	
	<!-- End of Modified Req Types -->	
	
	<!-- Modified Req Types Attributes-->
	<xsl:template match="Attributes/Attribute" mode="ReqTypeAttr">
		<xsl:param name="ReqTypePrefix"/>
	
		<xsl:if test="string-length(Label/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$ReqTypePrefix"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqTypeAttributeLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Label/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Label/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			
	</xsl:template>		
	<!-- End Modified Req Types Attributes section -->		
	
	<!-- Inserted Attributes-->
	<xsl:template match="Attributes/Attribute" mode="InsertDelete">		
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="Label/OldText"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptAttributeLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4 or string-length(Description/OldText)=0">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="Description/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=3 or @ModFlag=5 or string-length(Description/OldText)=0"> 						
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>     	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:value-of select="Description/OldText"/>     	
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>			
	</xsl:template>		
	<!-- End Inserted Attributes section -->			

	<!-- Modified Attributes Types -->
	<xsl:template match="Attributes/Attribute" mode="Modified">
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

		<xsl:variable name="AttrLabel">
			<xsl:value-of select="Label/OldText"/> 
		</xsl:variable>		
	
			<!-- Check if the label changed -->
			<xsl:if test="string-length(Label/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrLabelLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Label/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Label/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>
			
			<!-- Check if the description changed -->
			<xsl:if test="string-length(Description/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrDescriptionLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			
			
			<!-- Check if the rank changed -->
			<xsl:if test="string-length(Rank/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrRankLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Rank/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Rank/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	

			<!-- Check if the autosuspect changed -->
			<xsl:if test="string-length(AutoSuspect/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrAutoSuspectLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="AutoSuspect/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="AutoSuspect/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	
			
			<!-- Check if the DataTypeName changed -->
			<xsl:if test="string-length(DataTypeName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrDataTypeNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DataTypeName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DataTypeName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			

			<!-- Check if the DefaultValue changed -->
			<xsl:if test="string-length(DefaultValue/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptAttrDefaultValueLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DefaultValue/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DefaultValue/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>		
						
			<xsl:apply-templates select="ListItems/ListItem" mode="ListItemInsertDelete">
				<xsl:with-param name="AttrLabel">	
					<xsl:value-of select="$AttrLabel"/>
				</xsl:with-param>				
			</xsl:apply-templates>			
			
			<xsl:apply-templates select="ListItems/ListItem" mode="ListItemModify">
				<xsl:with-param name="AttrLabel">	
					<xsl:value-of select="$AttrLabel"/>
				</xsl:with-param>				
			</xsl:apply-templates>						
			
		</xsl:if>
	</xsl:template>	
	<!-- End Modified Attributes section -->		
	
	<!-- Inserted/deleted Attribute ListItems -->
	<xsl:template match="ListItems/ListItem" mode="ListItemInsertDelete">
		<xsl:param name="AttrLabel"/>
		
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$AttrLabel"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptAttributeListItemLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4 or string-length(ItemText/OldText)=0">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="ItemText/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=3 or @ModFlag=5 or string-length(ItemText/OldText)=0"> 						
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>     	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:value-of select="ItemText/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>					
					
	</xsl:template>		
	<!-- End Inserted/deleted Attribute ListItems section -->			
	
	<!-- Modified Attribute ListItems -->
	<xsl:template match="ListItems/ListItem" mode="ListItemModify">
		<xsl:param name="AttrLabel"/>
		
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

			<!-- Check if the ItemText changed -->
			<xsl:if test="string-length(ItemText/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptListItemTextLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ItemText/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ItemText/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				

			<!-- Check if the ItemRank changed -->
			<xsl:if test="string-length(ItemRank/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/><xsl:text>:</xsl:text><xsl:value-of select="ItemText/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptListItemRankLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ItemRank/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ItemRank/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	
			
			<!-- Check if the Default changed -->
			<xsl:if test="string-length(Default/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$AttrLabel"/><xsl:text>:</xsl:text><xsl:value-of select="ItemText/OldText"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptListItemDefaultLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Default/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Default/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				
		  
		</xsl:if>					
					
	</xsl:template>		
	<!-- End Modified Attribute ListItems section -->			
	
	<!-- Inserted Deleted Doc Types -->
	<xsl:template match="DocumentTypes/DocumentType" mode="InsertDelete">
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="FileExtension/OldText"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptDocumentTypeLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="Name/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="Name/OldText"/>      	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>
	</xsl:template>		
	<!-- End of Inserted Deleted Doc Types -->	

	<!-- Modified Doc Types -->
	<xsl:template match="DocumentTypes/DocumentType" mode="Modified">
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

		<xsl:variable name="DocExtension">
			<xsl:value-of select="FileExtension/OldText"/> 
		</xsl:variable>		
	
			<!-- Check if the name changed -->
			<xsl:if test="string-length(Name/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>							

			<!-- Check if the description changed -->
			<xsl:if test="string-length(Description/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeDescLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			
	
			<!-- Check if the DefaultRequirementName changed -->
			<xsl:if test="string-length(DefaultRequirementName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeDefaultReqNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DefaultRequirementName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DefaultRequirementName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>		

			<!-- Check if the TemplateName changed -->
			<xsl:if test="string-length(TemplateName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeTemplateNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>		

			<!-- Check if the TemplateDescription changed -->
			<xsl:if test="string-length(TemplateDescription/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeTemplateDescLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateDescription/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateDescription/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>		

			<!-- Check if the TemplateFileName changed -->
			<xsl:if test="string-length(TemplateFileName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeTemplateFileNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateFileName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateFileName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>

			<!-- Check if the TemplateHelpFile changed -->
			<xsl:if test="string-length(TemplateHelpFile/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$DocExtension"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypeTemplateHelpFileLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateHelpFile/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="TemplateHelpFile/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>
		
		</xsl:if>
	</xsl:template>	
	<!-- End of Modified Doc Types -->	

	<!-- Inserted Deleted Groups -->
	<xsl:template match="Groups/Group" mode="InsertDelete">
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="Name/OldText"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptGroupLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="Description/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="Description/OldText"/>      	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>
	</xsl:template>		
	<!-- End of Inserted Groups Types -->	

	<!-- Modified Groups -->
	<xsl:template match="Groups/Group" mode="Modified">
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

		<xsl:variable name="GroupName">
			<xsl:value-of select="Name/OldText"/> 
		</xsl:variable>		
	
			<!-- Check if the name changed -->
			<xsl:if test="string-length(Name/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptGroupNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Name/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>							

			<!-- Check if the description changed -->
			<xsl:if test="string-length(Description/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptGroupDescLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Description/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>			

			<!-- Check if the ProjectAccessRights changed -->
			<xsl:if test="string-length(ProjectAccessRights/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptProjectAccessRightsLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ProjectAccessRights/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ProjectAccessRights/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>

			<!-- Check if the DocTypePermissions changed -->
			<xsl:if test="string-length(DocTypePermissions/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptDocTypePermissionsLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DocTypePermissions/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="DocTypePermissions/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>

			<!-- Check if the ReqTypePermissions changed -->
			<xsl:if test="string-length(ReqTypePermissions/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/> 					
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptReqTypePermissionsLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ReqTypePermissions/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="ReqTypePermissions/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>

			<xsl:apply-templates select="Users/User" mode="UserInsertDelete">
				<xsl:with-param name="GroupName">	
					<xsl:value-of select="$GroupName"/>
				</xsl:with-param>				
			</xsl:apply-templates>			
						
			<xsl:apply-templates select="Users/User" mode="UserModify">
				<xsl:with-param name="GroupName">	
					<xsl:value-of select="$GroupName"/>
				</xsl:with-param>				
			</xsl:apply-templates>					
		
		</xsl:if>
	</xsl:template>	
	<!-- End of Modified Groups -->	

	<!-- Inserted/deleted Users -->
	<xsl:template match="Users/User" mode="UserInsertDelete">
		<xsl:param name="GroupName"/>
		
		<xsl:if test="@ModFlag>1 and @ModFlag &lt; 6">
			
		  <tr>			
			<td ALIGN="LEFT" height="19">
				<xsl:value-of select="$GroupName"/> 					
			</td>      	
			<td ALIGN="LEFT" height="19">								
				<xsl:choose> 
	      			<xsl:when test="@ModFlag=2 or @ModFlag=4"> 
						<xsl:value-of select="$inserted"/>       	
	          		</xsl:when>	      			         		          		
		      		<xsl:otherwise> 
		      	    	<xsl:value-of select="$deleted"/> 
	      	 	 	</xsl:otherwise> 	
	      		</xsl:choose> 				
			</td>			
			<td ALIGN="LEFT" height="19">								
				<xsl:value-of select="$rptGroupUserLbl"/>	
			</td>				
			<td ALIGN="LEFT" height="19">												
				<xsl:choose>
					<xsl:when test="@ModFlag=2 or @ModFlag=4 or string-length(LoginName/OldText)=0">  
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>    	    	
		          	</xsl:when>	      			         							
			      	<xsl:otherwise> 
			      		<xsl:value-of select="LoginName/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>					
			</td>			
			<td ALIGN="LEFT" height="19">	
				<xsl:choose>
					<xsl:when test="@ModFlag=3 or @ModFlag=5 or string-length(LoginName/OldText)=0"> 						
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>     	
		          	</xsl:when>	      			         		          		
			      	<xsl:otherwise> 
			      		<xsl:value-of select="LoginName/OldText"/>
		      	 	</xsl:otherwise> 
	      	 	</xsl:choose>														
			</td>			
		  </tr>		
		</xsl:if>					
					
	</xsl:template>		
	<!-- End Inserted/deleted Users section -->	

	<!-- Modified Users -->
	<xsl:template match="Users/User" mode="UserModify">
		<xsl:param name="GroupName"/>
		
		<xsl:if test="@ModFlag=1 or @ModFlag=6">

			<!-- Check if the LoginName changed -->
			<xsl:if test="string-length(LoginName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/><xsl:text>:</xsl:text><xsl:value-of select="LoginName/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptUserLoginNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="LoginName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="LoginName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>				

			<!-- Check if the Active changed -->
			<xsl:if test="string-length(Active/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/><xsl:text>:</xsl:text><xsl:value-of select="Active/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptUserActiveLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Active/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="Active/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>		

			<!-- Check if the FullName changed -->
			<xsl:if test="string-length(FullName/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/><xsl:text>:</xsl:text><xsl:value-of select="FullName/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptUserFullNameLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="FullName/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="FullName/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	

			<!-- Check if the EmailAddress changed -->
			<xsl:if test="string-length(EmailAddress/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/><xsl:text>:</xsl:text><xsl:value-of select="EmailAddress/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptUserEmailAddressLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="EmailAddress/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="EmailAddress/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>	

			<!-- Check if the LDAP Authentication changed -->
			<xsl:if test="string-length(LDAPAuthenticated/NewText)>0">										
			  <tr>			
				<td ALIGN="LEFT" height="19">
					<xsl:value-of select="$GroupName"/><xsl:text>:</xsl:text><xsl:value-of select="EmailAddress/OldText"/>
				</td>      	
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$modified"/>
				</td>			
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="$rptLDAPAuthenticationLbl"/>
				</td>				
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="LDAPAuthenticated/OldText"/>
				</td>
				<td ALIGN="LEFT" height="19">								
					<xsl:value-of select="LDAPAuthenticated/NewText"/>
				</td>				
			  </tr>		
			</xsl:if>
							  
		</xsl:if>					
					
	</xsl:template>		
	<!-- End Modified Users section -->	
	
</xsl:stylesheet>		